<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstFilePosition Method (IEdmState5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmState5 Interface : GetFirstFilePosition Method (IEdmState5)

Visual Basic
C#
C++/CLI
Starts an enumeration of all the files in this workflow state.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstFilePosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstFilePosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstFilePosition();

#### Return Value

IEdmPos5; position in the list of the first file in this workflow state (see Remarks)

# Example

Get Files in Workflow State (VB.NET)
Get Files in Workflow State (C#)

# Remarks

After calling this method, pass the returned position of the first file in this workflow state to IEdmState5::GetNextFile to get the first file in this workflow state. Then call IEdmState5::GetNextFile repeatedly to get the rest of the files in this workflow state.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Use IEdmSearch5 to perform more elaborate searches.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmState5 Interface
IEdmState5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2